A valid request URL is required to generate request examples{
"data": [
{
"id": "<string>",
"tier_structure_id": "<string>",
"name": "<string>",
"downgrade": {},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"qualification_rules": {
"points": {
"min_value": 123,
"max_value": 123
},
"segment": {
"id": "<string>"
}
}
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}List tiers
⚠️ BETA endpoint
This is a work-in-progress documentation of a BETA endpoint. The parameters, fields, request and response bodies, and other data may subject to change. If you want to share feedback or improvements, contact Voucherify support or your Technical Account Manager.
Returns a cursor-paginated list of tiers belonging to the tier structure. This
endpoint does not support a filters parameter. The same field cannot be requested
in both ascending and descending order at once. Default order is -created_at.
curl --request GET \
--url {protocol}://{host}/v2/loyalties/tier-structures/{tierStructureId}/tiers \
--header 'Authorization: Bearer <token>' \
--header 'X-App-Id: <api-key>' \
--header 'X-App-Token: <api-key>'{
"data": [
{
"id": "<string>",
"tier_structure_id": "<string>",
"name": "<string>",
"downgrade": {},
"metadata": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"object": "<string>",
"qualification_rules": {
"points": {
"min_value": 123,
"max_value": 123
},
"segment": {
"id": "<string>"
}
}
}
],
"cursor": {
"next": "<string>",
"expires_at": "2023-11-07T05:31:56Z"
},
"object": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}{
"code": 123,
"key": "<string>",
"message": "<string>",
"details": "<string>",
"request_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique tier structure identifier.
^lts_[a-f0-9]+$Query Parameters
Maximum number of items returned per page. An integer between 1 and 100. Defaults to 10.
1 <= x <= 100Sort order. A single field name or an array of field names; prefix a field with
- for descending order. Default is -created_at. The same field must not be
requested in both ascending and descending direction at once.
created_at, -created_at, name, -name Pagination cursor returned in the cursor.next field of a previous response.
Must match the tiers cursor id format.
^lcrst_[a-f0-9]+$Response
Paginated list of tiers.
Cursor-paginated list of tiers.
Was this page helpful?

